# Codeception Test Suite Configuration
#
# Suite for functional tests
# Emulate web requests and make WordPress process them

actor: FunctionalTester
modules:
    enabled:
        - REST
        - WPBrowser
        - Asserts
        - \Helper\Functional
        - WPDb
    config:
        REST:
          depends: WPBrowser
          url: 'http://wpgraphql.test'
        WPBrowser:
          url: 'http://wpgraphql.test'
          adminUsername: 'admin'
          adminPassword: 'password'
          adminPath: '/wp-admin'
        WPDb:
          dsn: 'mysql:host=127.0.0.1;dbname=wpgraphql_test'
          user: 'root'
          password: ''
          dump: 'tests/_data/dump.sql'
          populate: true
          cleanup: true
          url: 'http://wpgraphql.test'
          urlReplacement: true
          tablePrefix: 'wp_'